import React from 'react';
import { Field, reduxForm } from 'redux-form'
import validate from './validate'
import formInput from './../../../common/formInput'
import { Link } from 'react-router-dom'
import * as routes from './../../../../constants/routes'


class Form extends React.Component {

    handleSubmit = (event) => {
        event.preventDefault();
        alert("lol");
    }

    render() {
        const { invalid } = this.props;
        console.log(this.props);

        return (
            <form className="sign-form" onSubmit={this.handleSubmit} method="POST">
                <h2 className="sign-form__header">Sign Up</h2>

                <Field name="login" className="sign-form__input sign-form__input--text" placeholder="Login" component={formInput} type="text" />

                <div className="sign-form__password-container">
                    <Field name="password" className="sign-form__input sign-form__input--password" placeholder="Password" component={formInput} type="password" />
                    <Field name="passwordConfirmation" className="sign-form__input sign-form__input--password" placeholder="Password confirmation" component={formInput} type="password" />
                </div>

                <button className="sign-form__link--with-margin link--btn link--btn6s0" disabled={invalid}>Create Account</button>
                <p className="sign-form__agreement">By clicking this button you actually would donate us your flat !</p>
            </form>
        )
    }
}

export default reduxForm({
    form: "signUp",
    validate
})(Form)