import { put, call } from "redux-saga/effects";
import * as actions from './../../../actions/auth/signIn'
import { auth, googleAuthProvider } from './../../../firebase_config'

// worker-saga for signing in

export default function* () {
    try {
        const payload = yield call(() => {
            return (
                auth.signInWithPopup(googleAuthProvider)
                    .then(res => res.user)
            )
        });
        console.log("Payload", payload);
        yield put(actions.signInRequestSucces(payload));
    }
    catch (exception) {
        yield put(actions.signInRequestFailure(exception.message))
    }
}